> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.botbye.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.botbye.com/_mcp/server.

# find

GET {base_url}/api/v1/{account_id}/projects/{project_id}

### GET /api/v1/{account_id}/projects/{project_id}

This endpoint retrieves project details for a specific project within an account.

#### Request

No request body parameters are required for this endpoint.

- `base_url` (string): The base URL of the API.
- `account_id` (string): The unique identifier of the account.
- `project_id` (string): The unique identifier of the project.
    

#### Response

The response for this request is a JSON object with the following schema:

``` json
{
  "id": "",
  "customerId": "",
  "name": "",
  "url": "",
  "siteKey": "",
  "serverKey": "",
  "isProtected": true,
  "rules": {
    "order": [],
    "rules": []
  },
  "rateLimits": {
    "order": [],
    "rateLimits": []
  },
  "phishingInfo": {
    "originalUrl": "",
    "action": "",
    "allowedUrls": []
  },
  "responseExtraFields": [],
  "updatedAt": "",
  "createdAt": ""
}

 ```

- `id` (string): The unique identifier of the project.
- `customerId` (string): The unique identifier of the customer associated with the project.
- `name` (string): The name of the project.
- `url` (string): The URL of the project.
- `siteKey` (string): The site key of the project.
- `serverKey` (string): The server key of the project.
- `isProtected` (boolean): Indicates whether the project is protected.
- `rules` (object): An object containing order and rules arrays.
- `rateLimits` (object): An object containing order and rateLimits arrays.
- `phishingInfo` (object): An object containing originalUrl, action, and allowedUrls arrays.
- `responseExtraFields` (array): An array of extra fields in the response.
- `updatedAt` (string): The timestamp when the project was last updated.
- `createdAt` (string): The timestamp when the project was created.

Reference: https://api-docs.botbye.com/bot-bye-api/protection/projects/find

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/{account_id}/projects/{project_id}:
    get:
      operationId: find
      summary: find
      description: >-
        ### GET /api/v1/{account_id}/projects/{project_id}


        This endpoint retrieves project details for a specific project within an
        account.


        #### Request


        No request body parameters are required for this endpoint.


        - `base_url` (string): The base URL of the API.

        - `account_id` (string): The unique identifier of the account.

        - `project_id` (string): The unique identifier of the project.
            

        #### Response


        The response for this request is a JSON object with the following
        schema:


        ``` json

        {
          "id": "",
          "customerId": "",
          "name": "",
          "url": "",
          "siteKey": "",
          "serverKey": "",
          "isProtected": true,
          "rules": {
            "order": [],
            "rules": []
          },
          "rateLimits": {
            "order": [],
            "rateLimits": []
          },
          "phishingInfo": {
            "originalUrl": "",
            "action": "",
            "allowedUrls": []
          },
          "responseExtraFields": [],
          "updatedAt": "",
          "createdAt": ""
        }

         ```

        - `id` (string): The unique identifier of the project.

        - `customerId` (string): The unique identifier of the customer
        associated with the project.

        - `name` (string): The name of the project.

        - `url` (string): The URL of the project.

        - `siteKey` (string): The site key of the project.

        - `serverKey` (string): The server key of the project.

        - `isProtected` (boolean): Indicates whether the project is protected.

        - `rules` (object): An object containing order and rules arrays.

        - `rateLimits` (object): An object containing order and rateLimits
        arrays.

        - `phishingInfo` (object): An object containing originalUrl, action, and
        allowedUrls arrays.

        - `responseExtraFields` (array): An array of extra fields in the
        response.

        - `updatedAt` (string): The timestamp when the project was last updated.

        - `createdAt` (string): The timestamp when the project was created.
      tags:
        - subpackage_projects
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Projects_find_Response_200'
        '400':
          description: fail
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaItems
servers:
  - url: '{base_url}'
    description: '{base_url}'
components:
  schemas:
    ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaRules:
      type: object
      properties:
        order:
          type: array
          items:
            description: Any type
        rules:
          type: array
          items:
            description: Any type
      required:
        - order
        - rules
      title: >-
        ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaRules
    ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaRateLimits:
      type: object
      properties:
        order:
          type: array
          items:
            description: Any type
        rateLimits:
          type: array
          items:
            description: Any type
      required:
        - order
        - rateLimits
      title: >-
        ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaRateLimits
    ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaPhishingInfo:
      type: object
      properties:
        originalUrl:
          type: string
          format: uri
        action:
          type: string
        allowedUrls:
          type: array
          items:
            description: Any type
      required:
        - originalUrl
        - action
        - allowedUrls
      title: >-
        ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaPhishingInfo
    Projects_find_Response_200:
      type: object
      properties:
        id:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        name:
          type: string
        url:
          type: string
          format: uri
        siteKey:
          type: string
          format: uuid
        serverKey:
          type: string
          format: uuid
        isProtected:
          type: boolean
        rules:
          $ref: >-
            #/components/schemas/ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaRules
        rateLimits:
          $ref: >-
            #/components/schemas/ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaRateLimits
        phishingInfo:
          $ref: >-
            #/components/schemas/ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaPhishingInfo
        responseExtraFields:
          type: array
          items:
            description: Any type
        updatedAt:
          type: string
          format: utc-millisec
        createdAt:
          type: string
          format: utc-millisec
      required:
        - id
        - customerId
        - name
        - url
        - siteKey
        - serverKey
        - isProtected
        - rules
        - rateLimits
        - phishingInfo
        - responseExtraFields
        - updatedAt
        - createdAt
      title: Projects_find_Response_200
    ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaItemsContext:
      type: object
      properties:
        param:
          type: string
        type:
          type: string
      title: >-
        ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaItemsContext
    ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
        context:
          $ref: >-
            #/components/schemas/ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaItemsContext
      required:
        - message
        - code
        - type
      title: >-
        ApiV1AccountIdProjectsProjectIdGetResponsesContentApplicationJsonSchemaItems

```

## Examples



**Response**

```json
{
  "id": "01916ff5-70c8-7f01-a0c3-701d23966866",
  "customerId": "c415a474-be24-11eb-8529-0242ac130003",
  "name": "test",
  "url": "http://test.com",
  "siteKey": "01916ff5-70c8-7f01-a0c4-5a03fd5b3969",
  "serverKey": "01916ff5-70c8-7f01-a0c5-df33dc41009d",
  "isProtected": false,
  "rules": {
    "order": [],
    "rules": []
  },
  "rateLimits": {
    "order": [],
    "rateLimits": []
  },
  "phishingInfo": {
    "originalUrl": "http://test.com",
    "action": "IGNORE",
    "allowedUrls": []
  },
  "responseExtraFields": [],
  "updatedAt": "1724160241864",
  "createdAt": "1724160241864"
}
```

**SDK Code**

```python Projects_find_example
import requests

url = "https://{base_url}/api/v1/account_id/projects/project_id"

response = requests.get(url)

print(response.json())
```

```javascript Projects_find_example
const url = 'https://{base_url}/api/v1/account_id/projects/project_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Projects_find_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{base_url}/api/v1/account_id/projects/project_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Projects_find_example
require 'uri'
require 'net/http'

url = URI("https://{base_url}/api/v1/account_id/projects/project_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Projects_find_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{base_url}/api/v1/account_id/projects/project_id")
  .asString();
```

```php Projects_find_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{base_url}/api/v1/account_id/projects/project_id');

echo $response->getBody();
```

```csharp Projects_find_example
using RestSharp;

var client = new RestClient("https://{base_url}/api/v1/account_id/projects/project_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Projects_find_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://{base_url}/api/v1/account_id/projects/project_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```